#
# spec file for package rsibreak
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rsibreak
Version:        0.11
Release:        22.42
Summary:        Assists in the Recovery and Prevention of Repetitive Strain Injury
License:        GPL-2.0+
Group:          Productivity/Other
Url:            http://www.kde-apps.org/content/show.php?content=29725
Source:         rsibreak-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  libkde4-devel
Provides:       kde4-rsibreak = %{version}
Obsoletes:      kde4-rsibreak < %{version}
Suggests:       %{name}-doc = %{version}
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
Repetitive Strain Injury is an illness which can occur as a result of
working with a mouse and keyboard. This utility can be used to remind
you to take a break now and then.

%package doc
Summary:        Documentation for %{name}
Group:          Productivity/Other
Requires:       %{name} = %{version}

%description doc
This package provides documentation for %{name}

%lang_package
%prep
%setup -n rsibreak-%{version} -q

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %make_install
  cd ..
  %find_lang %{name} --all-name
  %suse_update_desktop_file -G "RSI Prevention" rsibreak TimeUtility
  %suse_update_desktop_file %{buildroot}%{_kde4_servicesdir}/plasma-applet-rsibreak.desktop
  %suse_update_desktop_file %{buildroot}%{_kde4_servicesdir}/plasma-engine-rsibreak.desktop
  %suse_update_desktop_file %{buildroot}%{_datadir}/autostart/rsibreak.desktop
  %fdupes -s %{buildroot}%{_datadir}

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files doc
%defattr(-,root,root)
%doc %{_kde4_htmldir}

%files lang -f %{name}.lang
%defattr(-,root,root)
%exclude %{_kde4_htmldir}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING
%{_datadir}/autostart/rsibreak.desktop
%{_datadir}/dbus-1/interfaces/org.rsibreak.rsiwidget.xml
%{_kde4_appsdir}/rsibreak
%dir %{_kde4_appsdir}/desktoptheme
%dir %{_kde4_appsdir}/desktoptheme/default
%dir %{_kde4_appsdir}/desktoptheme/default/widgets
%{_kde4_appsdir}/desktoptheme/default/widgets/rsibreak.svg
%{_kde4_applicationsdir}/rsibreak.desktop
%{_kde4_bindir}/rsibreak
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_modulesdir}/plasma_applet_rsibreak.so
%{_kde4_modulesdir}/plasma_engine_rsibreak.so
%{_kde4_servicesdir}/plasma-applet-rsibreak.desktop
%{_kde4_servicesdir}/plasma-engine-rsibreak.desktop

%changelog
* Wed Jul 24 2013 hrvoje.senjan@gmail.com
- BuildRequire only libkde4-devel, instead of kdebase4-workspace-devel
* Mon Sep 19 2011 idonmez@suse.com
- Recommend the -lang package
* Tue Sep 13 2011 toddrme2178@gmail.com
- Removed test for obsolete openSUSE version (fix for RPMLINT warning)
- Split doc package (fix for RPMLINT warning)
- Split lang package (fix for RPMLINT warning)
- Cleaned up spec file formatting
* Mon Aug 29 2011 mlin@suse.com
- few fixes for RPMLINT warnings
  * translated desktop files
  * do not obsoletes itself
  * add %%fdupes macro for fix files duplicated
- clean up the specfile formatting
* Sat Jan 15 2011 wstephenson@novell.com
- Update to 0.11
  * add button to defer break
  * Fix detection of additional screens
  * Make popup time configurable
  * Require Qt 4.6.0 and KDE 4.4.0
  * Fix timers when lock button is pressed
  * Add the possibility to remove the lock button
  * Remove buggy screenshot to show RSIBreak in the systray at
    startup and when launching a second time
  * Add notification settings to the config
  * Don't restart timers when leaving config and timers has not
    been changed
  * Slideshoweffect: make the visibility of small images optional
  * Make popup visibly more attractive
  * Make timers work for Qt=>4.4
  * Fix plasma category
  * Use KIdle library from kdelibs, instead of directly asking X
* Mon Feb 15 2010 llunak@novell.com
- fix build with gcc-4.5
* Fri Jul 24 2009 toma@kde.org
- New upstream version 0.10:
  - Use kdelibs function for display duration of a time.
  - Fixed all effects to work on xinerama
  - Fixed Plasma effect to work for KDE < 4.3
  - Fixed Slideshow effect
  - Fixed Welcome screen for KDE < 4.4
  - Fixed bug which resulted in multiple popups
    telling that the timer has been reset
  - Renamed No Full Screen effect to Popup effect
  - Renamed Gray effect to Black effect if no compositing is available
* Sun Jul 12 2009 toma@kde.org
- New upstream version 0.10 beta 1:
  - Fixed several porting bugs
  - Rewrote most off the full screen break effects
  - Some memory leaks fixed
  - Genral stabilization and improved user experience
* Fri May  8 2009 dmueller@suse.de
- fix build with cmake 2.6.4
* Sun Apr 26 2009 beineri@opensuse.org
- document and limit doc directory work-arounds
* Sat Jan 17 2009 coolo@suse.de
- fix build with plasma from 4.2
* Tue Dec  9 2008 stbinner@suse.de
- drop obsolete patches to install Plasma applet and documentation
* Fri Nov 28 2008 stbinner@suse.de
- update to 0.9.0 final: only version bump and translation updates
* Sun Nov  9 2008 stbinner@suse.de
- fix build on ppc
* Wed Nov  5 2008 dmueller@suse.de
- add missing runtime dependencies
* Tue Oct 28 2008 wstephenson@suse.de
- update to 0.9.0-beta5
  * Install autostart file in correct location
  * Fix plasma applet
  * Respect 'presentation mode' by monitoring the freedesktop.org
    screensaver setting
  * Try to detect waking up from hibernation so timers can be reset
  * Fix welcome screen
  * Fix bug where timer did not count down in a slideshow
  * Fix build on non-x86 platforms
* Mon Oct 20 2008 stbinner@suse.de
- fix build on archs without mmx
* Thu Oct  9 2008 wstephenson@suse.de
- update to 0.9.0-beta4
  * Fix bugs in config dialog layouts
* Thu Jun 26 2008 dmueller@suse.de
- update to 0.9.0-beta3
  * porting to KDE4
* Sun Oct 15 2006 stbinner@suse.de
- Update to version 0.8
  * Replaced DCOP dialog with a more flexible and standardized
    interface to attach events to breaks
  * Show where RSIBreak is located in the tray when started a
    second time.
  * RSIBreak now has a manual.
  * Option to only reset timers when idle for the duration of a
    long break.
  * Skip button in relax popup
  * Xinerama fixes
    Images smaller than 1/3 of the screen will not be used for
    the slideshow
  * Some tiny optimizations and bugfixes
* Tue Jun 20 2006 stbinner@suse.de
- Update to version 0.7.1
  * New icons from Lee Olson.
  * Usability review from Tina Trillitzsch.
  * Two new DCOP calls: doTinyBreak and doBigBreak.
  * New statistics: percentage of activity during the last minute,
    last hour and last 6 hours.
  * Inform the user when the next break will be a big break.
  * Ability to make DCOP calls to the start and end of breaks.
  * Possibility to use KDCOP to set that up.
  * Possibility to break at fixed times.
* Tue May 30 2006 adrian@suse.de
- fix build for < 10.1
* Tue Apr 11 2006 stbinner@suse.de
- Update to version 0.6
* Wed Apr  5 2006 stbinner@suse.de
- Initial package (version 0.6 rc1)
